Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxDmaAccCodelet_p.h File Reference This file contains some private data structures and defines for the Dma Access Codelet. More... Go to the source code of this file.
## Data Structures
struct | IxDmaAccCodeletTimeStore
## Defines
#define | IX_DMA_CODELET_TESTPATTERN_LIST
| Test pattern content and array size.
#define | IX_DMA_CODELET_TESTPATTERN_LENGTH
#define | IX_DMA_CODELET_MS_SLEEP
| Number of milliiseconds to poll the dispatcher.
#define | IX_DMA_CODELET_TEST_MAXLENGTH
| Number of words for test transfer.
#define | IX_DMA_CODELET_MEMDUMPSIZE
| Number of bytes to show when doing memory dump.
#define | IX_DMA_CODELET_QMR_PRIORITY
| Priority of queue manager dispatch loop.
#define | IX_DMA_CODELET_NPE_A_IMAGEID
| Version ID for NPE A Dma Code.
#define | IX_DMA_CODELET_NPE_B_IMAGEID
| Version ID for NPE B Dma Code.
#define | IX_DMA_CODELET_NPE_C_IMAGEID
| Version ID for NPE C Dma Code.
#define | PERFORMANCE_LOOP_NUM
## Functions
IX_STATUS | ixDmaAccCodeletInit (IxDmaNpeId npeId)
| This function is the entry point to the Dma Access codelet.
IX_STATUS | ixDmaAccCodeletTestPerform (UINT16 transferLength, IxDmaTransferMode transferMode, IxDmaAddressingMode addressingMode, IxDmaTransferWidth transferWidth)
| This function performs a dma transfer with parameters provided by the client This function can only function after ixDmaAccCodeletInit is performed.
## Detailed Description This file contains some private data structures and defines for the Dma Access Codelet. Author: Intel Corporation Date: 18 November 2002 Version: Revision 1.11 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxDmaAccCodelet_p.h. ## Define Documentation
#define IX_DMA_CODELET_MEMDUMPSIZE
| Number of bytes to show when doing memory dump. Definition at line 66 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_MS_SLEEP
| Number of milliiseconds to poll the dispatcher. Definition at line 60 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_NPE_A_IMAGEID
| Version ID for NPE A Dma Code. Definition at line 72 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_NPE_B_IMAGEID
| Version ID for NPE B Dma Code. Definition at line 75 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_NPE_C_IMAGEID
| Version ID for NPE C Dma Code. Definition at line 78 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_QMR_PRIORITY
| Priority of queue manager dispatch loop. Definition at line 69 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_TEST_MAXLENGTH
| Number of words for test transfer. Definition at line 63 of file IxDmaAccCodelet_p.h.
#define IX_DMA_CODELET_TESTPATTERN_LIST
| Test pattern content and array size. Definition at line 56 of file IxDmaAccCodelet_p.h.
## Function Documentation
IX_STATUS ixDmaAccCodeletInit | ( | IxDmaNpeId | npeId | ) |
  | This function is the entry point to the Dma Access codelet. It must be called before any of the demos as it initialises the necessary components. Parameters:
  npeID | Id for the Npe to setup for Dma function IX_DMA_NPEID_A for Npe A IX_DMA_NPEID_B for Npe B IX_DMA_NPEID_C for Npe C The initialisation sequence is as follows:
Initialise Queue manager Start Queue manager dispatcher loop Download NPE microcode Start NPEs Initialise Dma Access component Returns: IX_SUCCESS - Codelet successfully initialised IX_FAIL - Error initialising codelet
ixDmaAccCodeletTestPerform | ( | UINT16 | transferLength,
|  | IxDmaTransferMode | transferMode,
|  | IxDmaAddressingMode | addressingMode,
|  | IxDmaTransferWidth | transferWidth
| ) |
  | This function performs a dma transfer with parameters provided by the client This function can only function after ixDmaAccCodeletInit is performed. Parameters:
  transferLength | 1 to 65535 bytes
  transferMode | 0 = Copy 1 = Copy and Clear Source 2 = Copy and Byte Swap 3 = Copy and Reverse
  addressMode | 0 = Increment Source Addr and Increment Destination Addr"); 1 = Increment Source Addr and Fix Destination Addr"); 2 = Fix Source Addr and Increment Destination Addr");
  transferWidth | : 0 = 32 bit src, 32 bit dest 1 = 32 bit src, 16 bit dest 2 = 32 bit src, 8 bit dest 3 = 16 bit src, 32 bit dest 4 = 16 bit src, 16 bit dest 5 = 16 bit src, 8 bit dest 6 = 8 bit src, 32 bit dest 7 = 8 bit src, 16 bit dest 8 = 8 bit src, 8 bit dest 9 = 8 bit src, Burst dest 10 = 16 bit src, Burst dest 11 = 32 bit src, Burst dest 12 = Burst src, 8 bit dest 13 = Burst src, 16 bit dest 14 = Burst src, 32 bit dest 15 = Burst src, Burst dest
Returns: none
Automatically generated from sources. © Intel Corp. 2003